<div id="layoutSidenav_nav">
    <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
        <div class="sb-sidenav-menu">
            <div class="nav">
                <div class="sb-sidenav-menu-heading">Main</div>
                <a class="nav-link" href="{{ relative_path_to_root|default(".") }}/index.html">
                    <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                    Summary
                </a>
                {% for schema, datafiles in schema_assignment.items() %}
                    <div class="sb-sidenav-menu-heading">{{ schema }}</div>
                    {% if datafiles %}
                        {% for datafile in datafiles %}
                            <a class="nav-link" href="{{ relative_path_to_root|default(".") }}/{{ datafile[1] }}">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-file"></i></div>
                                {{ datafile[0] }}
                            </a>
                            {% if datafile[0] == file_path %}
                                <a class="nav-link sub-link ps-5" href="{{ relative_path_to_root|default(".") }}/{{ datafile[1] }}#file-metadata">
                                    <i class="fa-solid fa-angle-right pe-1"></i>
                                    File Metadata
                                </a>
                                <a class="nav-link sub-link ps-5" href="{{ relative_path_to_root|default(".") }}/{{ datafile[1] }}#file-overview">
                                    <i class="fa-solid fa-angle-right pe-1"></i>
                                    File Overview
                                </a>
                                <a class="nav-link sub-link ps-5" href="{{ relative_path_to_root|default(".") }}/{{ datafile[1] }}#field-overview">
                                    <i class="fa-solid fa-angle-right pe-1"></i>
                                    Field Overview
                                </a>
                            {% endif %}

                        {% endfor %}
                    {% else %}
                        <div class="sb-sidenav-menu-nested">
                            No data files
                        </div>
                    {% endif %}
                {% endfor %}
            </div>
        </div>
        <div class="sb-sidenav-footer">
            <div class="small">Version {{ version }}</div>
        </div>
    </nav>
</div>

<script>

/*!
* Start Bootstrap - SB Admin v7.0.7 (https://startbootstrap.com/template/sb-admin)
* Copyright 2013-2023 Start Bootstrap
* Licensed under MIT (https://github.com/StartBootstrap/startbootstrap-sb-admin/blob/master/LICENSE)
*/
window.addEventListener('DOMContentLoaded', event => {

    // Toggle the side navigation
    const sidebarToggle = document.body.querySelector('#sidebarToggle');
    if (sidebarToggle) {
        sidebarToggle.addEventListener('click', event => {
            event.preventDefault();
            document.body.classList.toggle('sb-sidenav-toggled');
            localStorage.setItem('sb|sidebar-toggle', document.body.classList.contains('sb-sidenav-toggled'));
        });
    }

});
</script>
